  import {TreeNode} from './../Tree/TreeNode.js';
  import * as THREE from '/seed-env/__static/threejs/three.module.js';
//======================================================
export class ThreeObject extends TreeNode {
//======================================================

    //---------------------------------------------------
    get_scene(){
    //---------------------------------------------------
        return this.parent.get_scene();
    }
    //---------------------------------------------------
    make() {
    //---------------------------------------------------
        this.onMake();
        var lst=this.by_class(ThreeObject);
        for (const child in lst) {

            var elt=lst[child].make();

        } 
    }
    //---------------------------------------------------
    onMake() {
    //---------------------------------------------------

        return;
    }

    //---------------------------------------------------

    //---------------------------------------------------
    run(time){
    //---------------------------------------------------

        this.onRun();
        var lst=this.by_class(ThreeObject);
        for (const child in lst) {

            var elt=lst[child].run(time);

        } 
    }
    //---------------------------------------------------
    onRun(time) {
    //---------------------------------------------------

        return;
    }
    //---------------------------------------------------
}
//======================================================
